' save all .doc files in current folder and subfolders
' as .rtf files using Word automation

Set objShell = CreateObject("WScript.Shell")
Set objFS = CreateObject("Scripting.FileSystemObject")
Set objWord = CreateObject("Word.Application")
Count = 0

ProcessPath objShell.CurrentDirectory

objWord.Quit

WScript.Echo Count & " .doc files saved as .rtf"

Sub ProcessPath(path)

	Set objFolder = objFS.GetFolder(path)

	' process .doc files in folder
	For Each objFile In objFolder.Files
		If LCase(Right(objFile.Name, 4)) = ".doc" Then
			fname = objFS.BuildPath(path, objFile.Name)
			Set objDoc = objWord.Documents.Open(fname)
			objDoc.SaveAs fname + ".rtf", 6
			objDoc.Close
			Count = Count + 1
		End If
	Next

	' get all directories in passed in directory, recursively call self for each
	For Each objSubFolder In objFolder.SubFolders
		ProcessPath objSubFolder.Path
	Next
    
End Sub
